summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJuan Pablo Ugarte <juanpablougarte@gmail.com>2013-09-06 17:27:44 -0300
committerJuan Pablo Ugarte <juanpablougarte@gmail.com>2013-09-06 17:27:44 -0300
commite26df66608865fc6b2b5cc04004cfdfd676fbc36 (patch)
tree82872ca2af72c632ec5171cd329ef5d9b87a3391
parent9fa347d263750b5d351f4632bb5ac63710918c9e (diff)
downloadglade-e26df66608865fc6b2b5cc04004cfdfd676fbc36.tar.gz
Added executable check to build script
-rw-r--r--build/mingw-w64/nsis_make_installer.sh5
1 files changed, 5 insertions, 0 deletions
diff --git a/build/mingw-w64/nsis_make_installer.sh b/build/mingw-w64/nsis_make_installer.sh
index 1fc8db78..49995d1d 100644
--- a/build/mingw-w64/nsis_make_installer.sh
+++ b/build/mingw-w64/nsis_make_installer.sh
@@ -108,6 +108,11 @@ fi
fi
+if test ! -e $MINGW_ROOT_BIN/bin/glade.exe; then
+ echo Executable not found! Aborting...
+ exit 1
+fi
+
#copy files to installer directory
cp $ROOT/build/mingw-w64/glade.nsi $ROOT/data/icons/glade-3.ico $MINGW_ROOT_BIN